# Submit settings requests Submit a batch of settings requests by this single API operation. See a 200 response sample in CSV format that lists all available settings. See a 200 response sample in JSON format that lists all available parameters of each setting. By default, one batch settings request can contain a maximum of 100 single operation requests, including: * All the single requests in the process batch settings request. * All the children requests of the single requests. This maximum value is configurable. Endpoint: POST /settings/batch-requests Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Request fields (application/json): - `requests` (array) Example: [{"id":"1","method":"GET","url":"/billing-rules"},{"id":"2","method":"GET","url":"/accounting-rules"}] - `requests.body` (object) Request payload if any - `requests.children` (array) An array of requests that can only be executed after its parent request has been executed successfully. - `requests.children.id` (string) The id of the request. You can set it to any string. It must be unique within the whole batch. - `requests.children.method` (string) One of the HTTP methods supported by the setting endpoint, for example, GET,PUT,POST or DELETE. Enum: "GET", "HEAD", "POST", "PUT", "PATCH", "DELETE", "OPTIONS", "TRACE" - `requests.children.url` (string) The relative URL of the setting. It is the same as in the pathPattern field in the response body of [Listing all settings](https://developer.zuora.com/api-references/api/operation/GET_ListAllSettings). For example, /billing-rules. - `requests.url` (string) The relative URL of the setting. It is the same as in the pathPattern field in the response body of [Listing all Settings](https://developer.zuora.com/api-references/api/operation/GET_ListAllSettings). For example, /billing-rules. ## Response 200 fields (application/json): - `responses` (array) - `responses.id` (string) The Id of the corresponding request. - `responses.method` (string) The HTTP method. It is the same as that of the corresponding request. Enum: "GET", "HEAD", "POST", "PUT", "PATCH", "DELETE", "OPTIONS", "TRACE" - `responses.response` (object) - `responses.response.body` (object) Response body if the request is executed successfully. - `responses.response.errorMessages` (array) An array of error messages if errors occur when executing the request. - `responses.response.status` (string) User readable response status, for example, 502 BAD_GATEWAY. - `responses.url` (string) The url as specified in the corresponding request.